5.8. 作業ディレクトリの指定
戻る | 第5章 `Makefile` の作成 | 次へ

## 5.8. 作業ディレクトリの指定

それぞれの port は作業ディレクトリに展開されるので、 作業ディレクトリは書き込み可能でなければなりません。 Ports システムは、デフォルトでは `DISTFILES` が `${DISTNAME}` というディレクトリに展開されると想定します。 つまり、次のように設定していたら、

PORTNAME= foo PORTVERSION= 1.0

その port の配布ファイルの内容は、最上位のディレクトリが `foo-1.0` で、 残りのファイルはそのディレクトリの下に置かれているということです。

そうでない場合に上書きできる変数がたくさんあります。

### 5.8.1. `WRKSRC`

この変数は、 アプリケーションの配布ファイルが展開された時に作成されるディレクトリの名称を示します。 前の例で、(`foo-1.0` ではなく) `foo` というディレクトリに展開されるなら、

WRKSRC= ${WRKDIR}/foo

または、

WRKSRC= ${WRKDIR}/${PORTNAME}

と書いてください。

### 5.8.2. `NO_WRKSUBDIR`

その port がサブディレクトリに展開しないのであれば、 それを示すために `NO_WRKSUBDIR` を設定してください。

NO_WRKSUBDIR= yes

戻る | 上に戻る | 次へ
5.7. 依存関係 | ホーム | 5.9. `CONFLICTS`

本文書、および他の文書は ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/ からダウンロードできます。

FreeBSD に関する質問がある場合には、 ドキュメント を読んだ上で <questions@FreeBSD.org> まで (英語で) 連絡してください。
本文書に関する質問については、 <doc@FreeBSD.org> まで電子メールを (英語で) 送ってください。